- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/codes
  order: 50
  path: /default-0/tests/tests/execute/codes
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 1
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/codes/main.fmf
  summary: Check tmt run exit codes
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: &id001 []
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Make sure that tests defined under an `fmf` tree stored deeper in the
    git repository structure are successfully executed.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: shell
  id: null
  link: []
  manual: false
  name: /tests/execute/deep
  order: 50
  path: /default-0/tests/tests/execute/deep
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 2
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/deep/main.fmf
  summary: Verify that deep fmf trees are executed fine
  tag:
  - beakerlib
  test: cd data && tmt run -v
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/duration
  order: 50
  path: /default-0/tests/tests/execute/duration
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 3
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/duration/main.fmf
  summary: Verify that the test duration is correctly handled
  tag:
  - provision-container
  - provision-virtual
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/exit-first
  order: 50
  path: /default-0/tests/tests/execute/exit-first
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 4
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/exit-first/main.fmf
  summary: Check functionality of exit-first
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Using rlFileSubmit to copy file to the host system
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/filesubmit
  order: 50
  path: /default-0/tests/tests/execute/filesubmit
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 5
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/filesubmit/main.fmf
  summary: Beakerlib's rlFileSubmit is functional
  tag:
  - beakerlib
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: tests verifying tmt outcomes to be as expected for the different beakerlib
    tests results.
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/framework/beakerlib
  order: 50
  path: /default-0/tests/tests/execute/framework
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 6
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/framework/main.fmf
  summary: Verify tmt outcomes against beakerlib results
  tag:
  - beakerlib
  test: ./beakerlib.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Check test framework selection in the L1 metadata. Combining different
    frameworks under a single plan.
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/framework/selection
  order: 50
  path: /default-0/tests/tests/execute/framework
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 7
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/framework/main.fmf
  summary: Verify test framework selection
  tag:
  - beakerlib
  test: ./selection.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: tests verifying tmt outcomes to be as expected for the different shell
    tests results.
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/framework/shell
  order: 50
  path: /default-0/tests/tests/execute/framework
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 8
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/framework/main.fmf
  summary: Verify tmt outcomes against shell results
  tag:
  - beakerlib
  test: ./shell.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 5m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/ignore-duration
  order: 50
  path: /default-0/tests/tests/execute/ignore-duration
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 9
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/ignore-duration/main.fmf
  summary: Verify that the ignore-duration is correctly handled
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Check whether original 'require' and 'recommend' values are stored
    in the 'metadata.yaml' file, that default values are present and that custom metadata
    keys are included as well.
  discover-phase: default-0
  duration: 15m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/metadata
  order: 50
  path: /default-0/tests/tests/execute/metadata
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 10
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/metadata/main.fmf
  summary: Verify that metadata.yaml content is complete
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/multiline
  order: 50
  path: /default-0/tests/tests/execute/multiline
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 11
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/multiline/main.fmf
  summary: Verify that multiline shell scripts work
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Check whether the old beakerlib functions which depend on the Makefile
    metadata work with the new metadata.yaml file.
  discover-phase: default-0
  duration: 15m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/old
  order: 50
  path: /default-0/tests/tests/execute/old
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 12
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/old/main.fmf
  summary: Verify the old Makefile features
  tag:
  - beakerlib
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: In verbose mode the whole test output should be visible. It should
    not contain irrelevant messages.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/output
  order: 50
  path: /default-0/tests/tests/execute/output
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 13
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/output/main.fmf
  summary: Check that the test output is correctly shown
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Make sure that the restraint compatibility features can be enabled
    and disabled using the ``restraint-compatible`` key.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/restraint/compatible
  order: 50
  path: /default-0/tests/tests/execute/restraint/compatible
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 14
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/restraint/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/restraint/compatible/main.fmf
  summary: Verify the restraint-compatible option
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Philip Daly <pdaly@redhat.com>
  description: Verify that the mocked rstrnt-report-log Restraint functionality can
    be executed successfully.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/restraint/report-log
  order: 50
  path: /default-0/tests/tests/execute/restraint/report-log
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 15
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/restraint/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/restraint/report-log/main.fmf
  summary: Verify mocked Restraint rstrnt-report-log functionality.
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Philip Daly <pdaly@redhat.com>
  description: Verify that the mocked rstrnt-report-result Restraint functionality
    can be executed successfully.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/restraint/report-result
  order: 50
  path: /default-0/tests/tests/execute/restraint/report-result
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 16
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/restraint/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/restraint/report-result/main.fmf
  summary: Verify mocked Restraint rstrnt-report-result functionality.
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/result/basic
  order: 50
  path: /default-0/tests/tests/execute/result
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 17
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/result/main.fmf
  summary: Test behavior of 'result' attribute in test metadata
  tag: []
  test: ./basic.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/result/custom
  order: 50
  path: /default-0/tests/tests/execute/result
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 18
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/result/main.fmf
  summary: Test custom results format provided in results.yaml
  tag: []
  test: ./custom.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/result/failure-logs
  order: 50
  path: /default-0/tests/tests/execute/result
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 19
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/result/main.fmf
  summary: Test failure logs of the test result
  tag: []
  test: ./failure-logs.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/result/repeated
  order: 50
  path: /default-0/tests/tests/execute/result
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 20
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/result/main.fmf
  summary: Repeated test should provide multiple results
  tag: []
  test: ./repeated.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/result/special
  order: 50
  path: /default-0/tests/tests/execute/result
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 21
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/result/main.fmf
  summary: Test special characters generated to tmt-report-results.yaml
  tag: []
  test: ./special.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/result/subresults
  order: 50
  path: /default-0/tests/tests/execute/result
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 22
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/result/main.fmf
  summary: Multiple calls to tmt-report-result should generate tmt subresults
  tag: []
  test: ./subresults.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/script
  order: 50
  path: /default-0/tests/tests/execute/script
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 23
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/script/main.fmf
  summary: Execute script should not be used with discover
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/tty
  order: 50
  path: /default-0/tests/tests/execute/tty
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 24
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/tty/main.fmf
  summary: Verify TTY handling in test environment
  tag:
  - provision-container
  - provision-virtual
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/weird
  order: 50
  path: /default-0/tests/tests/execute/weird
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 25
  sources:
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-execute777m4o7a/plans/features/steps/execute/discover/default-0/tests/tests/execute/weird/main.fmf
  summary: Correctly handle weird test output
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
